package com.ruoyi.school.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.school.domain.req.SysClassEditReq;
import com.ruoyi.school.domain.req.SysClassQueryReq;
import com.ruoyi.school.domain.req.SysClassSaveReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 班级管理对象 sys_class
 *
 * @author ruoyi
 * @date 2024-04-22
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_class")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysClass", description = "班级管理")
public class SysClass extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 班级ID */
    @TableId(value = "class_id",type = IdType.AUTO)
    @ApiModelProperty(name = "班级ID", value = "班级ID")
    private Long classId;

    /** 班级名称 */
    @Excel(name = "班级名称")
    @ApiModelProperty(name = "班级名称", value = "班级名称")
    private String className;

    /** 班级状态  1 - 未开班  2 - 开班 */
    @Excel(name = "班级状态  1 - 未开班  2 - 开班")
    @ApiModelProperty(name = "班级状态  1 - 未开班  2 - 开班", value = "班级状态  1 - 未开班  2 - 开班")
    private Long classState;

    /**
    * 查询构造器
    */
    public static SysClass queryBuild( SysClassQueryReq sysClassQueryReq){
        return SysClass.builder()
                .className(sysClassQueryReq.getClassName())
                .classState(sysClassQueryReq.getClassState())
                .build();
    }

    /**
    * 添加构造器
    */
    public static SysClass saveBuild(SysClassSaveReq sysClassSaveReq){
        return SysClass.builder()
                .className(sysClassSaveReq.getClassName())
                .classState(sysClassSaveReq.getClassState())
                .build();
    }

    /**
    * 修改构造器
    */
    public static SysClass editBuild(Long classId, SysClassEditReq sysClassEditReq){
        return SysClass.builder()
            .classId(classId)
                .className(sysClassEditReq.getClassName())
                .classState(sysClassEditReq.getClassState())
                .build();
    }

}
