package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.system.domain.req.SysClazzQueryReq;
import com.ruoyi.system.domain.req.SysClazzSaveReq;
import com.ruoyi.system.domain.req.SysClazzEditReq;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 班级对象 sys_clazz
 *
 * @author ruoyi
 * @date 2024-04-22
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_clazz")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysClazz", description = "班级")
public class SysClazz extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "clazz_id",type = IdType.AUTO)
    @ApiModelProperty(name = "${column.columnComment}", value = "${column.columnComment}")
    private Long clazzId;

    /** 班级名称 */
    @Excel(name = "班级名称")
    @ApiModelProperty(name = "班级名称", value = "班级名称")
    private String clazzName;

    /** 班级状态 */
    @Excel(name = "班级状态")
    @ApiModelProperty(name = "班级状态", value = "班级状态")
    private Long clazzState;

    /**
    * 查询构造器
    */
    public static SysClazz queryBuild( SysClazzQueryReq sysClazzQueryReq){
        return SysClazz.builder()
                .clazzName(sysClazzQueryReq.getClazzName())
                .clazzState(sysClazzQueryReq.getClazzState())
                .build();
    }

    /**
    * 添加构造器
    */
    public static SysClazz saveBuild(SysClazzSaveReq sysClazzSaveReq){
        return SysClazz.builder()
                .clazzName(sysClazzSaveReq.getClazzName())
                .clazzState(sysClazzSaveReq.getClazzState())
                .build();
    }

    /**
    * 修改构造器
    */
    public static SysClazz editBuild(Long clazzId, SysClazzEditReq sysClazzEditReq){
        return SysClazz.builder()
            .clazzId(clazzId)
                .clazzName(sysClazzEditReq.getClazzName())
                .clazzState(sysClazzEditReq.getClazzState())
                .build();
    }

}
