package com.ruoyi.system.service.impl;

import java.util.List;

import com.ruoyi.common.utils.ObjUtils;
import com.ruoyi.system.mapper.SysClazzMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.ruoyi.system.domain.SysClazz;
import com.ruoyi.system.service.SysClazzService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 班级Service业务层处理
 *
 * @author ruoyi
 * @date 2024-04-22
 */
@Slf4j
@Service
public class SysClazzServiceImpl extends ServiceImpl<SysClazzMapper, SysClazz>  implements SysClazzService {

    /**
     * 查询班级列表
     *
     * @param sysClazz 班级
     * @return 班级
     */
    @Override
    public List<SysClazz> list(SysClazz sysClazz) {
        LambdaQueryWrapper<SysClazz> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(sysClazz.getClazzName())){
            queryWrapper.like(SysClazz::getClazzName, sysClazz.getClazzName());
        }

        if (ObjUtils.notNull(sysClazz.getClazzState())){
            queryWrapper.eq(SysClazz::getClazzState, sysClazz.getClazzState());
        }
        return list(queryWrapper);
    }
}
